Bug 16258 - Add a preference to turn EDIFACT off
Summary: Add a preference to turn EDIFACT off
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Nick Clemens
URL:
Keywords: Manual-updated
Depends on: 7736
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-14 06:05 UTC by Katrin Fischer
Modified: 2022-06-08 22:11 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Proposed Patch (7.45 KB, patch)
2016-05-04 12:44 UTC, Colin Campbell
Details | Diff | Splinter Review
Proposed patch (7.72 KB, patch)
2016-05-05 05:53 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 16258 Add a syspref to govern EDIFACT functionality (7.71 KB, patch)
2016-08-17 14:47 UTC, Mark Tompsett
Details | Diff | Splinter Review
Button Create EDIFACT order still appears (39.23 KB, image/png)
2016-08-18 13:00 UTC, Marc Véron
Details
Bug 16258 Add a syspref to govern EDIFACT functionality (6.99 KB, patch)
2022-02-10 15:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258 Add a syspref to govern EDIFACT functionality (8.44 KB, patch)
2022-02-10 16:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle admin-menu.inc (1.62 KB, patch)
2022-02-10 16:20 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button (1.14 KB, patch)
2022-02-10 16:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: Add a syspref to govern EDIFACT functionality (8.50 KB, patch)
2022-02-10 19:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle admin-menu.inc (1.67 KB, patch)
2022-02-10 19:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button (1.19 KB, patch)
2022-02-10 19:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Add a guard to the cron script (838 bytes, patch)
2022-02-10 19:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Don't set to off for existing install, they may be using EDI (1.02 KB, patch)
2022-02-10 19:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Include Koha plugin for basket.tt (773 bytes, patch)
2022-02-10 19:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16258: Add a syspref to govern EDIFACT functionality (8.56 KB, patch)
2022-02-18 13:14 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle admin-menu.inc (1.74 KB, patch)
2022-02-18 13:14 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button (1.25 KB, patch)
2022-02-18 13:14 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Add a guard to the cron script (903 bytes, patch)
2022-02-18 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Don't set to off for existing install, they may be using EDI (1.08 KB, patch)
2022-02-18 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Include Koha plugin for basket.tt (838 bytes, patch)
2022-02-18 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Hide "Suppliers report" column (2.77 KB, patch)
2022-02-18 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Remove superflous comment from sysprefs (1.78 KB, patch)
2022-02-18 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Move 'Edifact' preference (1.83 KB, patch)
2022-02-18 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Capitalise EDIFACT (11.95 KB, patch)
2022-02-18 13:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Fix columns_settings (1.14 KB, patch)
2022-02-21 11:50 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 16258: Add a syspref to govern EDIFACT functionality (8.61 KB, patch)
2022-02-21 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle admin-menu.inc (1.79 KB, patch)
2022-02-21 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button (1.31 KB, patch)
2022-02-21 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Add a guard to the cron script (961 bytes, patch)
2022-02-21 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Don't set to off for existing install, they may be using EDI (1.14 KB, patch)
2022-02-21 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Include Koha plugin for basket.tt (896 bytes, patch)
2022-02-21 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Hide "Suppliers report" column (2.82 KB, patch)
2022-02-21 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Remove superflous comment from sysprefs (1.84 KB, patch)
2022-02-21 21:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Move 'Edifact' preference (1.89 KB, patch)
2022-02-21 21:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Capitalise EDIFACT (12.01 KB, patch)
2022-02-21 21:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Fix columns_settings (1.20 KB, patch)
2022-02-21 21:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16258: Add a syspref to govern EDIFACT functionality (8.67 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle admin-menu.inc (1.85 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button (1.37 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Add a guard to the cron script (1018 bytes, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Don't set to off for existing install, they may be using EDI (1.20 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Include Koha plugin for basket.tt (953 bytes, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Hide "Suppliers report" column (2.88 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Remove superflous comment from sysprefs (1.89 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Move 'Edifact' preference (1.95 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Capitalise EDIFACT (12.06 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Fix columns_settings (1.25 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16258: (QA follow-up) Add note of disbaled EDIFACT to EDI accounts page (1.34 KB, patch)
2022-03-29 11:38 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-04-14 06:05:58 UTC
Acq is a complicated module and the new EDIFACT related options and features add another layer of complexity. It would be good if the feature could be turned off for libraries not interested in the functionality to help simplify working with acq a bit again.
Comment 1 Marc Véron 2016-04-15 13:23:21 UTC
+1
Comment 2 Colin Campbell 2016-04-18 11:08:50 UTC
Yes a 'use edifact' syspreference which if set to N (default) hides the edifact screens and links - which in fact are few
Comment 3 Katrin Fischer 2016-04-18 14:14:33 UTC
Hi Colin, EDIFACT appeared to be turnted on for me automatically. Are you sure this has been added? There is no mention of EDIFACT in the sysprefs.sql file:
http://git.koha-community.org/gitweb/?p=koha.git;a=blob;f=installer/data/mysql/sysprefs.sql;h=ef4c3f0aef428b2cf2dd592a7273389333a818ed;hb=2a8c68936dd7fd5c82af339db968eb67cb93a082
Comment 4 Katrin Fischer 2016-04-18 14:15:11 UTC
I was also thinking about additional columns and buttons in other places - I haven't been able to get a total overview of the EDIFACT feature so far - but i seems there is something new on basket summary as well.
Comment 5 Katrin Fischer 2016-04-18 15:28:36 UTC
Hm, I found  134 ('EDIInvoicesShippingBudget',NULL,NULL,'The budget code used to allocate shipping charges to when processing EDI Invoice messages','free'), now - recheckign for EDI, but nothing else.
Comment 6 Colin Campbell 2016-05-04 11:14:26 UTC
In most places if there are no edifact vendors present the functionality gets disabled. The main feature to control is probably the admin screens. A syspref shouldnt be to turn it off but to enable it - I'll see if I can generate a patch to add an enabling system preference
Comment 7 Colin Campbell 2016-05-04 12:44:23 UTC Comment hidden (obsolete)
Comment 8 Colin Campbell 2016-05-05 05:53:09 UTC Comment hidden (obsolete)
Comment 9 Mark Tompsett 2016-08-17 14:47:17 UTC
Created attachment 54539 [details] [review]
Bug 16258 Add a syspref to govern EDIFACT functionality

Adds an "Edifact" systempreference to govern whether edifact processing
is enabled. In most places this is hidden if the current
vendor does not appear in the edi vendors table. This preference
hides the admin screens which define this and a couple of links.

Also fixes an anomaly whereby the basketgroup screen was not
making the same check on whether edi ordering should be enabled as
the basket screen. Both now use the same logic.

Rebase by mtompset@hotmail.com
Comment 10 Marc Véron 2016-08-18 13:00:55 UTC
Created attachment 54567 [details]
Button Create EDIFACT order still appears

If syspref "Edifact" is disabled but the vendor has an Edifact account, the button "Create EDIFACT order" still displays.
I would expect that it does no longer appear.
Comment 11 Aleisha Amohia 2016-08-23 00:12:12 UTC
This patch works well, however there are some things that should be considered and improved before signing off on this:
1) With Edifact disabled, the EDI links still appear in the Admin sidebar navigation
2) With Edifact disabled, I can still directly navigate to edi_accounts.pl etc., either through the sidebar nav or going straight to the URL.
Comment 12 Marc Véron 2017-03-17 09:27:30 UTC
Patch no longer applies.
Comment 13 Martin Renvoize 2022-02-10 15:45:40 UTC
Created attachment 130451 [details] [review]
Bug 16258 Add a syspref to govern EDIFACT functionality

Adds an "Edifact" systempreference to govern whether edifact processing
is enabled. In most places this is hidden if the current
vendor does not appear in the edi vendors table. This preference
hides the admin screens which define this and a couple of links.

Also fixes an anomaly whereby the basketgroup screen was not
making the same check on whether edi ordering should be enabled as
the basket screen. Both now use the same logic.
Comment 14 Martin Renvoize 2022-02-10 16:20:53 UTC
Created attachment 130453 [details] [review]
Bug 16258 Add a syspref to govern EDIFACT functionality

Adds an "Edifact" systempreference to govern whether edifact processing
is enabled. In most places this is hidden if the current
vendor does not appear in the edi vendors table. This preference
hides the admin screens which define this and a couple of links.

Also fixes an anomaly whereby the basketgroup screen was not
making the same check on whether edi ordering should be enabled as
the basket screen. Both now use the same logic.

Rebased-by: Mark Tompsett <mtompset@hotmail.com>
Rebased-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2022-02-10 16:20:56 UTC
Created attachment 130454 [details] [review]
Bug 16258: (follow-up) Handle admin-menu.inc
Comment 16 Martin Renvoize 2022-02-10 16:23:50 UTC
Created attachment 130455 [details] [review]
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button
Comment 17 Martin Renvoize 2022-02-10 16:24:40 UTC
Brought this back up to date and fixed the issues mentioned.
Comment 18 Kyle M Hall 2022-02-10 19:35:49 UTC
Created attachment 130470 [details] [review]
Bug 16258: Add a syspref to govern EDIFACT functionality

Adds an "Edifact" systempreference to govern whether edifact processing
is enabled. In most places this is hidden if the current
vendor does not appear in the edi vendors table. This preference
hides the admin screens which define this and a couple of links.

Also fixes an anomaly whereby the basketgroup screen was not
making the same check on whether edi ordering should be enabled as
the basket screen. Both now use the same logic.

Rebased-by: Mark Tompsett <mtompset@hotmail.com>
Rebased-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 19 Kyle M Hall 2022-02-10 19:36:01 UTC
Created attachment 130471 [details] [review]
Bug 16258: (follow-up) Handle admin-menu.inc

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 20 Kyle M Hall 2022-02-10 19:36:05 UTC
Created attachment 130472 [details] [review]
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 21 Kyle M Hall 2022-02-10 19:36:08 UTC
Created attachment 130473 [details] [review]
Bug 16258: (QA follow-up) Add a guard to the cron script

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 22 Kyle M Hall 2022-02-10 19:36:12 UTC
Created attachment 130474 [details] [review]
Bug 16258: (QA follow-up) Don't set to off for existing install, they may be using EDI

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 23 Kyle M Hall 2022-02-10 19:36:15 UTC
Created attachment 130475 [details] [review]
Bug 16258: (QA follow-up) Include Koha plugin for basket.tt

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 24 Katrin Fischer 2022-02-13 12:35:02 UTC
There is 2 small things so far:

* When an order is added, there is a column "supplier report" in the basket summary table that I think should also be removed with the pref set to off.

* The doubled description here doesn't look right:
 ('EasyAnalyticalRecords','0','','If on, display in the catalogue screens tools to easily setup analytical record relationships','YesNo'),
+('Edifact','0','Enables edifact acquisitions functions','Enables use of Edifact electronic message exchange for acquisitions','YesNo'),

* There is now an EDIFACT heading on the acq syspref page, so I think we should move the pref there :)

* Spelling: EDIFACT is an abbreviation and we should spell it as such. Edifact for the syspref name makes sense, but in the descriptions we should use EDIFACT consistently (updatedatabase, syspref.sql, acquisitions.pref)

Rest looks great as far as I can tell!
Comment 25 Martin Renvoize 2022-02-18 13:14:51 UTC
Created attachment 130833 [details] [review]
Bug 16258: Add a syspref to govern EDIFACT functionality

Adds an "Edifact" systempreference to govern whether edifact processing
is enabled. In most places this is hidden if the current
vendor does not appear in the edi vendors table. This preference
hides the admin screens which define this and a couple of links.

Also fixes an anomaly whereby the basketgroup screen was not
making the same check on whether edi ordering should be enabled as
the basket screen. Both now use the same logic.

Rebased-by: Mark Tompsett <mtompset@hotmail.com>
Rebased-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 26 Martin Renvoize 2022-02-18 13:14:55 UTC
Created attachment 130834 [details] [review]
Bug 16258: (follow-up) Handle admin-menu.inc

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 27 Martin Renvoize 2022-02-18 13:14:59 UTC
Created attachment 130835 [details] [review]
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 28 Martin Renvoize 2022-02-18 13:15:03 UTC
Created attachment 130836 [details] [review]
Bug 16258: (QA follow-up) Add a guard to the cron script

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 29 Martin Renvoize 2022-02-18 13:15:08 UTC
Created attachment 130837 [details] [review]
Bug 16258: (QA follow-up) Don't set to off for existing install, they may be using EDI

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 30 Martin Renvoize 2022-02-18 13:15:12 UTC
Created attachment 130838 [details] [review]
Bug 16258: (QA follow-up) Include Koha plugin for basket.tt

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 31 Martin Renvoize 2022-02-18 13:15:16 UTC
Created attachment 130839 [details] [review]
Bug 16258: (QA follow-up) Hide "Suppliers report" column

As noted by Katrin, this column is only used for Edifact message data
and so can be hidden when Edifact is disabled.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 32 Martin Renvoize 2022-02-18 13:15:20 UTC
Created attachment 130840 [details] [review]
Bug 16258: (QA follow-up) Remove superflous comment from sysprefs

This patch removes the errant comment from default syspref SQL.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 33 Martin Renvoize 2022-02-18 13:15:24 UTC
Created attachment 130841 [details] [review]
Bug 16258: (QA follow-up) Move 'Edifact' preference

This patch moves the global 'Edifact' switch into the 'EDIFACT' section
of the sysprefs.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 34 Martin Renvoize 2022-02-18 13:15:28 UTC
Created attachment 130842 [details] [review]
Bug 16258: (QA follow-up) Capitalise EDIFACT

EDIFACT is an abreviation, so it should be ALLCAPS.

* Electronic Data Interchange for Administration, Commerce and Transport

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 35 Martin Renvoize 2022-02-18 13:16:38 UTC
I checked and signed off on Kyles follow-ups and added some more to resolve the issues identified by Katrin :)
Comment 36 Katrin Fischer 2022-02-19 20:10:09 UTC
Thank you for the fixes!

Sadly removing the "Supplier report" column from the basket summary page breaks the table configuration on that page and as a consequence reopening and closing baskets. :( Not sure if we should just leave removing that column to the table configuration or if there is another good way of dealing with this.
Comment 37 Martin Renvoize 2022-02-21 11:50:12 UTC
Created attachment 130952 [details] [review]
Bug 16258: (QA follow-up) Fix columns_settings

Splice out the relevant field from the columns_settings when EDIFACT is
disabled
Comment 38 Katrin Fischer 2022-02-21 21:46:26 UTC
Created attachment 130980 [details] [review]
Bug 16258: Add a syspref to govern EDIFACT functionality

Adds an "Edifact" systempreference to govern whether edifact processing
is enabled. In most places this is hidden if the current
vendor does not appear in the edi vendors table. This preference
hides the admin screens which define this and a couple of links.

Also fixes an anomaly whereby the basketgroup screen was not
making the same check on whether edi ordering should be enabled as
the basket screen. Both now use the same logic.

Rebased-by: Mark Tompsett <mtompset@hotmail.com>
Rebased-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 39 Katrin Fischer 2022-02-21 21:46:31 UTC
Created attachment 130981 [details] [review]
Bug 16258: (follow-up) Handle admin-menu.inc

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 40 Katrin Fischer 2022-02-21 21:46:37 UTC
Created attachment 130982 [details] [review]
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 41 Katrin Fischer 2022-02-21 21:46:42 UTC
Created attachment 130983 [details] [review]
Bug 16258: (QA follow-up) Add a guard to the cron script

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 42 Katrin Fischer 2022-02-21 21:46:47 UTC
Created attachment 130984 [details] [review]
Bug 16258: (QA follow-up) Don't set to off for existing install, they may be using EDI

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 43 Katrin Fischer 2022-02-21 21:46:52 UTC
Created attachment 130985 [details] [review]
Bug 16258: (QA follow-up) Include Koha plugin for basket.tt

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 44 Katrin Fischer 2022-02-21 21:46:58 UTC
Created attachment 130986 [details] [review]
Bug 16258: (QA follow-up) Hide "Suppliers report" column

As noted by Katrin, this column is only used for Edifact message data
and so can be hidden when Edifact is disabled.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 45 Katrin Fischer 2022-02-21 21:47:03 UTC
Created attachment 130987 [details] [review]
Bug 16258: (QA follow-up) Remove superflous comment from sysprefs

This patch removes the errant comment from default syspref SQL.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 46 Katrin Fischer 2022-02-21 21:47:09 UTC
Created attachment 130988 [details] [review]
Bug 16258: (QA follow-up) Move 'Edifact' preference

This patch moves the global 'Edifact' switch into the 'EDIFACT' section
of the sysprefs.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 47 Katrin Fischer 2022-02-21 21:47:14 UTC
Created attachment 130989 [details] [review]
Bug 16258: (QA follow-up) Capitalise EDIFACT

EDIFACT is an abreviation, so it should be ALLCAPS.

* Electronic Data Interchange for Administration, Commerce and Transport

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 48 Katrin Fischer 2022-02-21 21:47:20 UTC
Created attachment 130990 [details] [review]
Bug 16258: (QA follow-up) Fix columns_settings

Splice out the relevant field from the columns_settings when EDIFACT is
disabled

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 49 Nick Clemens 2022-03-29 11:38:10 UTC
Created attachment 132391 [details] [review]
Bug 16258: Add a syspref to govern EDIFACT functionality

Adds an "Edifact" systempreference to govern whether edifact processing
is enabled. In most places this is hidden if the current
vendor does not appear in the edi vendors table. This preference
hides the admin screens which define this and a couple of links.

Also fixes an anomaly whereby the basketgroup screen was not
making the same check on whether edi ordering should be enabled as
the basket screen. Both now use the same logic.

Rebased-by: Mark Tompsett <mtompset@hotmail.com>
Rebased-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 50 Nick Clemens 2022-03-29 11:38:14 UTC
Created attachment 132392 [details] [review]
Bug 16258: (follow-up) Handle admin-menu.inc

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 51 Nick Clemens 2022-03-29 11:38:18 UTC
Created attachment 132393 [details] [review]
Bug 16258: (follow-up) Handle 'Create EDIFACT order' button

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 52 Nick Clemens 2022-03-29 11:38:24 UTC
Created attachment 132394 [details] [review]
Bug 16258: (QA follow-up) Add a guard to the cron script

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 53 Nick Clemens 2022-03-29 11:38:27 UTC
Created attachment 132395 [details] [review]
Bug 16258: (QA follow-up) Don't set to off for existing install, they may be using EDI

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 54 Nick Clemens 2022-03-29 11:38:31 UTC
Created attachment 132396 [details] [review]
Bug 16258: (QA follow-up) Include Koha plugin for basket.tt

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 55 Nick Clemens 2022-03-29 11:38:35 UTC
Created attachment 132397 [details] [review]
Bug 16258: (QA follow-up) Hide "Suppliers report" column

As noted by Katrin, this column is only used for Edifact message data
and so can be hidden when Edifact is disabled.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 56 Nick Clemens 2022-03-29 11:38:39 UTC
Created attachment 132398 [details] [review]
Bug 16258: (QA follow-up) Remove superflous comment from sysprefs

This patch removes the errant comment from default syspref SQL.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 57 Nick Clemens 2022-03-29 11:38:43 UTC
Created attachment 132399 [details] [review]
Bug 16258: (QA follow-up) Move 'Edifact' preference

This patch moves the global 'Edifact' switch into the 'EDIFACT' section
of the sysprefs.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 58 Nick Clemens 2022-03-29 11:38:47 UTC
Created attachment 132400 [details] [review]
Bug 16258: (QA follow-up) Capitalise EDIFACT

EDIFACT is an abreviation, so it should be ALLCAPS.

* Electronic Data Interchange for Administration, Commerce and Transport

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 59 Nick Clemens 2022-03-29 11:38:51 UTC
Created attachment 132401 [details] [review]
Bug 16258: (QA follow-up) Fix columns_settings

Splice out the relevant field from the columns_settings when EDIFACT is
disabled

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 60 Nick Clemens 2022-03-29 11:38:55 UTC
Created attachment 132402 [details] [review]
Bug 16258: (QA follow-up) Add note of disbaled EDIFACT to EDI accounts page

One shouldn't end up here, but nice to have a note if you do

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 61 Fridolin Somers 2022-04-13 13:56:45 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄